org.apache.poi.ss.formula.functions

## Class Counta

- java.lang.Object
- - org.apache.poi.ss.formula.functions.Counta

- All Implemented Interfaces:
    Function

      public final class Counta
      extends java.lang.Object
      implements Function

  Counts the number of cells that contain data within the list of arguments. Excel Syntax COUNTA(value1,value2,...) Value1, value2, ... are 1 to 30 arguments representing the values or ranges to be counted.
  Author:
    Josh Micich

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Counta()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValueEval` | `evaluate(ValueEval[] args, int srcCellRow, int srcCellCol)`
    `static Counta` | `subtotalInstance(boolean includeHiddenRows)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Counta

          public Counta()

  - ### Method Detail

    - #### evaluate

          public ValueEval evaluate(ValueEval[] args,
                                    int srcCellRow,
                                    int srcCellCol)

      Specified by:
        `evaluate` in interface `Function`
      Parameters:
        `args` - the evaluated function arguments. Empty values are represented with `BlankEval` or `MissingArgEval`, never `null`.
        `srcCellRow` - row index of the cell containing the formula under evaluation
        `srcCellCol` - column index of the cell containing the formula under evaluation
      Returns:
        The evaluated result, possibly an `ErrorEval`, never `null`. Note - Excel uses the error code #NUM! instead of IEEE NaN, so when numeric functions evaluate to `Double.NaN` be sure to translate the result to `ErrorEval.NUM_ERROR`.

    - #### subtotalInstance

          public static Counta subtotalInstance(boolean includeHiddenRows)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.